Subject: Re: bug#35163: 25.1; `narrow-to-region' docstring no mention of args

From: Emanuel Berg <[email-masked]>
Date: Mon, 08 Apr 2019 23:14:40 +0200

Glenn Morris wrote:

> (People who have particular ideas about doc
> strings

Well, I don't know about "particular", as
I myself learned the rules from
(checkdoc-current-buffer t) when I did Elisp
packages. But yes, I think the rules
make sense!

> could save everyone a lot of time by
> sending patches.)

Should I interpret this as "one shouldn't
bother the maintainers with details like this"?
If so, I'm happy to supply patches instead,
only I haven't done it before and don't know
how to do it. In theory, you change the code,
then use a tool that generates a note of the
changes you made, and you submit that
note, right? Is there some Emacs mode or
infrastructure to help you with this?

Also, if the docstring is in the C code, does
that mean you have to recompile that source
file after the change? Docstrings for
C functions are themselves in the
C code, right?

As I'm using Emacs 25, does that mean I should
get a more recent version, for the single
purpose of doing this? If so, which one?
That sounds like a lot of work but thinking
about it I suppose it doesn't have to be.

-- 
underground experts united
http://user.it.uu.se/~embe8573